This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 184425 - xend + selinux can hard lock
xend + selinux can hard lock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-03-08 12:38 EST by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2.29-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 06:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-03-08 12:38:15 EST
starting xen with selinux enabled can hard-lock a system.

kernel-xen0-2.6.15-1.2032_FC5
xen-3.0.1-3
libselinux-1.29.7-1.2
libselinux-python-1.29.7-1.2
selinux-policy-2.2.23-6
selinux-policy-targeted-2.2.23-6
audit-libs-python-1.1.5-1
audit-libs-1.1.5-1


1. enable selinux
1. create, or download, an xen guest image into /root.
2. create a configuration file for the xen guest image in /root
3. start xend

$ service xend start

System is now hung, doesn't accept network traffic or keyboard input.  Needs
power-cycling to be useful again.


Here's manually-copied console output (that doesn't make it to serial console):

audit(timestamp): avc:  denied { create } for pid=2388 comm="xenstored"
name="xen" scontext=root:system_r:xenstored_t:s0
tcontext=root:object_r:xen_device_t:s0 tclass=dir
audit(timestamp): avc:  denied { read write } for pid=2406 comm="ip"
name="[11700]" dev=sockfs ino=11700 scontext=root:system_r:ifconfig_t:s0
tcontext=root:system_r:xend_t:s0 tclass=unix_stream_socket

completely reproducible

disabling selinux avoids the problem.

Expected results:
System doesn't hardlock when selinux contraints are violated.
Comment 1 Daniel Walsh 2006-03-08 16:59:00 EST
More fixes coming in selinux-policy-targeted-2.2.23-8
Comment 2 Russell Coker 2006-04-11 06:58:34 EDT
I believe that this is fixed in selinux-policy-targeted-2.2.29-6.

Note You need to log in before you can comment on or make changes to this bug.